## Index

### Modules

- Api
- Events
- Utils

### Variables

- baseApiUrl
- hasWebSocket
- socket
- socketOpen
- subscriptions

### Functions

- Initialize
- send

## Variables

### Let baseApiUrl

baseApiUrl: string

- Defined in aqueduct.ts:9

### Let hasWebSocket

hasWebSocket: boolean

- Defined in aqueduct.ts:10

### Let socket

socket: WebSocket

- Defined in aqueduct.ts:8

### Let socketOpen

socketOpen: boolean = false

- Defined in aqueduct.ts:11

### Let subscriptions

subscriptions: object

- Defined in aqueduct.ts:13

#### Type declaration

- ##### [channel: string]: object | undefined

## Functions

### Const Initialize

- Initialize(params?: undefined | object): void

- - Defined in aqueduct.ts:40

  Initialize the Aqueduct client. Required to use the client.

  #### Parameters

  - ##### Optional params: undefined | object

  #### Returns void

### Const send

- send(message: string, tries?: number): void

- - Defined in aqueduct.ts:21

  #### Parameters

  - ##### message: string

  - ##### Default value tries: number = 0

  #### Returns void

Generated using TypeDoc